#include<iostream>
#include<stdio.h>
#include<math.h>
#include<vector>
#include<string>
#include<string.h>
using namespace std;

   vector<vector<int> > matrix_add(vector<vector<int> > a, vector<vector<int> > b){
       vector<vector<int> > c;
       for(int i = 0; i < a.size(); i++){
           vector<int> row;
            for(int j = 0; j < a[0].size(); j++){
                row.push_back(a[i][j] + b[i][j]);
            }
           c.push_back(row);
       }
       return c;
   }

   vector<vector<int> > matrix_mult(vector<vector<int> > a, vector<vector<int> > b){
   vector<vector<int> > c;
   int i,j,k;
   #pragma omp parallel shared(a,b,c) private(i,j,k)
   {
   #pragma omp for  schedule(static)
      for (i=0; i<a.size(); i=i+1){
                vector<int> row;
                for (j=0; j<b[0].size(); j=j+1){
                    row.push_back(0);
                    for (k=0; k<b.size(); k=k+1){
                        row[j] += ((a[i][k])*(b[k][j]));
                    }
                }
                c.push_back(row);
            }
        }
        return c;
    }
   void print_matrix(vector<vector<int> > a){
       for(int i = 0; i<a.size(); i++){
           cout<<endl;
           for(int j = 0; j<a[0].size(); j++){
               cout << a[i][j] << " ";
           }
       }
   }
int main(){
cout << true || true;
cout << endl;
}

